#
# spec file for package microsoft-hyper-v
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
#

# nodebuginfo
# norootforbuild
# needssslcertforbuild

%define releasetag public
%define release %(date +%%Y%%m%%d)
%define _unpackaged_files_terminate_build 0
%define rdma_dir Oct-11-2016
Name:			msft-rdma
BuildRequires:          %kernel_module_package_buildreqs
License:		GPL-2.0
Group:			System/Kernel
Summary:		Microsoft Infiniband RDMA Driver for Linux
Version:		20161011.144.0
Release:		4.1
Source0:		%{rdma_dir}.tgz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%kernel_module_package -x xen

%description
This package contains the Microsoft hv_network_direct RDMA driver for SUSE Linux.

%prep
%setup -n %{rdma_dir}
cat > Module.supported <<EOF
hv_network_direct.ko external
EOF
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
	export CONFIG_PCMCIA=m
        make -C %{kernel_source $flavor} M=$PWD/obj/$flavor modules
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	export CONFIG_PCMCIA=m
        make -C %{kernel_source $flavor} M=$PWD/obj/$flavor modules_install
done

%changelog
* Tue Oct 11 2016 andavis@suse.com
- Initial SUSE PLDP build of updated SLE 12 SP2 source provided by Microsoft.
